# Register a client SDK POST https://app.unleash-instance.example.com/api/frontend/client/register Content-Type: application/json This is for future use. Currently Frontend client registration is not supported. Returning 200 for clients that expect this status code. If the Frontend API is disabled 404 is returned. Reference: https://docs.getunleash.io/api/register-frontend-client ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Register a client SDK version: endpoint_frontendApi.registerFrontendClient paths: /api/frontend/client/register: post: operationId: register-frontend-client summary: Register a client SDK description: >- This is for future use. Currently Frontend client registration is not supported. Returning 200 for clients that expect this status code. If the Frontend API is disabled 404 is returned. tags: - - subpackage_frontendApi parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Frontend API_registerFrontendClient_Response_200 '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '404': description: The requested resource was not found. content: {} requestBody: description: frontendApiClientSchema content: application/json: schema: $ref: '#/components/schemas/frontendApiClientSchema' components: schemas: FrontendApiClientSchemaStarted: oneOf: - type: string format: date-time - type: number format: double frontendApiClientSchema: type: object properties: appName: type: string description: Name of the application using Unleash instanceId: type: string description: >- Instance id for this application (typically hostname, podId or similar) sdkVersion: type: string description: Optional field that describes the sdk version (name:version) environment: type: string description: deprecated interval: type: number format: double description: >- At which interval, in milliseconds, will this client be expected to send metrics started: $ref: '#/components/schemas/FrontendApiClientSchemaStarted' description: When this client started. Should be reported as ISO8601 time. strategies: type: array items: type: string description: List of strategies implemented by this application required: - appName - interval - started - strategies Frontend API_registerFrontendClient_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/frontend/client/register" payload = { "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": ["string"] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/frontend/client/register'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"appName":"string","interval":1.1,"started":"2024-01-15T09:30:00Z","strategies":["string"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/frontend/client/register" payload := strings.NewReader("{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/frontend/client/register") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/frontend/client/register") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/frontend/client/register', [ 'body' => '{ "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": [ "string" ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/frontend/client/register"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": ["string"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/frontend/client/register")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```